---
title: "Retrieve Virtual Account History"
source_url: https://docs.rapyd.net/en/retrieve-virtual-account-history.html
lang: en
---

# Retrieve Virtual Account History

Retrieve a Virtual Account Number object for a wallet.

This object contains a list of all the transactions involving the virtual account number.

> **Note:**
>
> This endpoint replaces the deprecated endpoint `GET /v1/issuing/bankaccounts/:virtual_account`
>
> Rapyd no longer supports the deprecated endpoint.

### Parameters

### Request Path Parameters

- - virtual_account
  - ID of the Virtual Account. String starting with **issuing_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - id
  - ID of the virtual account. String starting with **issuing_**.
- - bank_account
  - Details about the virtual account, including the following fields:

    - - aba
      - 9-digit ABA routing number of the virtual account.
    - - aba_routing_number
      - 9-digit ABA routing number of the virtual account.
    - - account_holder
      - Name of the virtual account holder.
    - - account_no
      - The actual account number that was assigned to the virtual account when it was created.
    - - account_number
      - The actual account number that was assigned to the virtual account when it was created.
    - - address
      - Street address of the branch of the bank that issued the virtual account number.
    - - beneficiary_name
      - Name of the owner of the Rapyd Wallet that the virtual account number was issued to.
    - - bic
      - [Bank Identifier Code (BIC)](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_bic "Bank Identifier Code") of the virtual account.
    - - branch_code
      - Number of the bank branch.
    - - city
      - City of the branch of the bank that issued the virtual account number.
    - - country
      - Two-letter ISO 3166-1 ALPHA-2 code of the country of the virtual account.
    - - country_iso
      - Two-letter ISO 3166-1 ALPHA-2 code of the country of the virtual account.
    - - iban
      - [International bank account number (IBAN)](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_iban "International Bank Account Number") of the virtual account.
    - - payment_type
      - Method of transferring funds to and from the virtual account.
    - - sort_code
      - A six-digit bank identification number. Relevant to certain country-currency combinations.
- - currency
  - Currency of the virtual account. Three-letter ISO 4217 code.
- - description
  - Description of the virtual account when it was created, as defined by the client.
- - ewallet
  - ID of the Rapyd Wallet that the virtual account is attached to. String starting with **ewallet_**.
- - funding_instructions
  - Reserved.
- - merchant_reference_id
  - Identifier defined by the client for reference purposes. Limit: 45 characters.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - partner_transaction_id
  - ID that is assigned by the client to the transaction.
- - requested_currency
  - Currency received by the virtual account after conversion. One of the following:

    - **AUD** - Australian Dollar
    - **EUR** - Euro
    - **GBP** - Pound Sterling
    - **HKD** - Hong Kong Dollar
    - **SGD** - Singapore Dollar
    - **USD** - US Dollar
- - status
  - Indicates the status of the virtual account.

    - **ACT** - Active.
    - **ERR** - Error.
    - **PEN** - Pending.
    - **REJ** - Rejected.
- - transactions
  - List of individual transactions in the wallet that were done via the virtual account number. Array of objects. Each object has the following fields:

    - - id
      - ID of the transaction. String starting with **isutran_**.
    - - amount
      - The amount credited to the virtual account, in units of the currency defined in `currency`.
    - - created_at
      - Timestamp for the transaction, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
    - - currency
      - The currency credited to the virtual account. Three-letter ISO 4217 code.

        - **Transactions without FX** - The currency sent by the sender.
        - **FX transactions** - Determined by `requested_currency` in the virtual account.
    - - fx_rate
      - Currency conversion rate for the transaction.
    - - original_amount
      - The amount sent by the sender to the virtual account, in units of the currency defined in `original_currency`.
    - - original_currency
      - The currency sent by the sender to the virtual account. Three-letter ISO 4217 code.

### Code Samples

- - .NET

    - ```
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                   
                      string virtualBankAccount = "issuing_b1dcb7ceedb740200f7656cfa191f47d";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/virtual_accounts/{virtualBankAccount}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('../../../../Utilities/JS/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/code_race_2020/Utilities/PHP/utilities.php";
      include($path);
      try {
          $object = make_request('post', '/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      results = make_request(method='get', path=f'/v1/virtual_accounts/issuing_b1dcb7ceedb740200f7656cfa191f47d')
      pprint(results)
      ```

- /v1/virtual_accounts/:virtual_account

- Retrieve Virtual Account History
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/virtual_accounts/issuing_d11d404c919519c66ac61e14389f766a' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "73371e26-85ac-468a-af91-074615599515"
      },
      "data": {
          "id": "issuing_d11d404c919519c66ac61e14389f766a",
          "merchant_reference_id": "issuing_d11d404c919519c66ac61e14389f766a",
          "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
          "bank_account": {
              "beneficiary_name": "CashDash UK Limited",
              "address": "Northwest House, 119 Marylebone Road NW1 5PU",
              "country_iso": "DE",
              "iban": "DE07202208000092780641",
              "bic": "SXPYDEHH"
          },
          "metadata": {},
          "status": "ACT",
          "description": null,
          "funding_instructions": null,
          "currency": "EUR",
          "requested_currency": null,
          "transactions": [
              {
                  "id": "isutran_5337361d6c62f369d98c71d9e418f063",
                  "amount": 100,
                  "currency": "EUR",
                  "original_amount": 100,
                  "original_currency": "EUR",
                  "fx_rate": 1,
                  "created_at": 1760276114
              },
              {
                  "id": "isutran_f34125bbb58976e89516030828099dd1",
                  "amount": 100,
                  "currency": "EUR",
                  "original_amount": 100,
                  "original_currency": "EUR",
                  "fx_rate": 1,
                  "created_at": 1763371667
              }
          ]
      }
  }
  ```
